TlsSRPUtils (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.tls

## Class TlsSRPUtils

- java.lang.Object
- - org.bouncycastle.crypto.tls.TlsSRPUtils

-     public class TlsSRPUtils
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.Integer` | `EXT_SRP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TlsSRPUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addSRPExtension(java.util.Hashtable extensions, byte[] identity)`
    `static byte[]` | `createSRPExtension(byte[] identity)`
    `static byte[]` | `getSRPExtension(java.util.Hashtable extensions)`
    `static boolean` | `isSRPCipherSuite(int cipherSuite)`
    `static byte[]` | `readSRPExtension(byte[] extensionData)`
    `static java.math.BigInteger` | `readSRPParameter(java.io.InputStream input)`
    `static void` | `writeSRPParameter(java.math.BigInteger x, java.io.OutputStream output)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EXT_SRP

          public static final java.lang.Integer EXT_SRP

  - ### Constructor Detail

    - #### TlsSRPUtils

          public TlsSRPUtils()

  - ### Method Detail

    - #### addSRPExtension

          public static void addSRPExtension(java.util.Hashtable extensions,
                             byte[] identity)
                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getSRPExtension

          public static byte[] getSRPExtension(java.util.Hashtable extensions)
                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### createSRPExtension

          public static byte[] createSRPExtension(byte[] identity)
                                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readSRPExtension

          public static byte[] readSRPExtension(byte[] extensionData)
                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readSRPParameter

          public static java.math.BigInteger readSRPParameter(java.io.InputStream input)
                                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeSRPParameter

          public static void writeSRPParameter(java.math.BigInteger x,
                               java.io.OutputStream output)
                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### isSRPCipherSuite

          public static boolean isSRPCipherSuite(int cipherSuite)